diff --git a/dselect/helpmsgs.cc b/dselect/helpmsgs.cc
index d1975ed..071a948 100644
--- a/dselect/helpmsgs.cc
+++ b/dselect/helpmsgs.cc
@@ -27,28 +27,31 @@
 
 const struct helpmessage hlp_listkeys = {
   N_("Keystrokes"), N_("\
-Motion keys: Next/Previous, Top/End, Up/Down, Backwards/Forwards:\n\
-  j, Down-arrow         k, Up-arrow             move highlight\n\
-  N, Page-down, Space   P, Page-up, Backspace   scroll list by 1 page\n\
-  ^n                    ^p                      scroll list by 1 line\n\
-  t, Home               e, End                  jump to top/end of list\n\
-  u                     d                       scroll info by 1 page\n\
-  ^u                    ^d                      scroll info by 1 line\n\
-  B, Left-arrow         F, Right-arrow          pan display by 1/3 screen\n\
-  ^b                    ^f                      pan display by 1 character\n\n\
-\
-Mark packages for later processing:\n\
- +, Insert  install or upgrade      =, H  hold in present state\n\
- -, Delete  remove                  :, G  unhold: upgrade or leave uninstalled\n\
- _          remove & purge config\n\
-                                             Miscellaneous:\n\
-Quit, exit, overwrite (note capitals!):       ?, F1 request help (also Help)\n\
- Return  Confirm, quit (check dependencies)   i, I  toggle/cycle info displays\n\
-   Q     Confirm, quit (override dep.s)       o, O  cycle through sort options\n\
- X, Esc  eXit, abandoning any changes made    v, V  change status display opts\n\
-   R     Revert to state before this list      ^l   redraw display\n\
-   U     set all to sUggested state             /   search (Return to cancel)\n\
-   D     set all to Directly requested state  n, \\  repeat last search\n")
+o==============================================================================o\n\
+|Motion keys: Next/Previous, Top/End, Up/Down, Backwards/Forwards:             |\n\
+| j, Down-arrow          k, Up-arrow              move highlight               |\n\
+| N, Page-down, Space    P, Page-up, Backspace    scroll list by 1 page        |\n\
+| ^n                     ^p                       scroll list by 1 line        |\n\
+| t, Home                e, End                   jump to top/end of list      |\n\
+| u                      d                        scroll info by 1 page        |\n\
+| ^u                     ^d                       scroll info by 1 line        |\n\
+| B, Left-arrow          F, Right-arrow           pan display by 1/3 screen    |\n\
+| ^b                     ^f                       pan display by 1 character   |\n\
+o------------------------------------------------------------------------------o\n\
+|Mark packages for later processing:                                           |\n\
+| +,  Insert  install or upgrade     =, H  hold in present state               |\n\
+| -,  Delete  remove                 :, G  unhold: upgrade or leave uninstalled|\n\
+| _           remove & purge config                                            |\n\
+o-------------------------------------------o----------------------------------o\n\
+|Quit, exit, overwrite (note capitals!):    | Miscellaneous:                   |\n\
+| Return Confirm, quit (check dependencies) |  ?, F1 request help (also Help)  |\n\
+| Q      Confirm, quit (override dep.s)     |  i, I  toggle/cycle info displays|\n\
+| X, Esc eXit, abandoning any changes made  |  o, O  cycle through sort options|\n\
+| R      Revert to state before this list   |  v, V  change status display opts|\n\
+| U      set all to sUggested state         |  ^l    redraw display            |\n\
+| D      set all to Directly requested state|   /    search (Return to cancel) |\n\
+|                                           |  n, \\  repeat last search        |\n\
+o==============================================================================o\n")
 };
 
 const struct helpmessage hlp_mainintro = {
@@ -194,24 +197,27 @@ menu reachable by pressing `?'.\n")
 
 const struct helpmessage hlp_methkeys = {
   N_("Keystrokes for method selection"), N_("\
-Motion keys: Next/Previous, Top/End, Up/Down, Backwards/Forwards:\n\
-  j, Down-arrow         k, Up-arrow             move highlight\n\
-  N, Page-down, Space   P, Page-up, Backspace   scroll list by 1 page\n\
-  ^n                    ^p                      scroll list by 1 line\n\
-  t, Home               e, End                  jump to top/end of list\n\
-  u                     d                       scroll info by 1 page\n\
-  ^u                    ^d                      scroll info by 1 line\n\
-  B, Left-arrow         F, Right-arrow          pan display by 1/3 screen\n\
-  ^b                    ^f                      pan display by 1 character\n\
-(These are the same motion keys as in the package list display.)\n\n\
-\
-Quit:\n\
- Return, Enter    select this method and go to its configuration dialogue\n\
- x, X             exit without changing or setting up the installation method\n\n\
-\
-Miscellaneous:\n\
-  ?, Help, F1      request help\n\
- ^l                redraw display\n\
-  /                search (just return to cancel)\n\
-  \\                repeat last search\n")
+o==============================================================================o\n\
+|Motion keys: Next/Previous, Top/End, Up/Down, Backwards/Forwards:             |\n\
+| j, Down-arrow          k, Up-arrow              move highlight               |\n\
+| N, Page-down, Space    P, Page-up, Backspace    scroll list by 1 page        |\n\
+| ^n                     ^p                       scroll list by 1 line        |\n\
+| t, Home                e, End                   jump to top/end of list      |\n\
+| u                      d                        scroll info by 1 page        |\n\
+| ^u                     ^d                       scroll info by 1 line        |\n\
+| B, Left-arrow          F, Right-arrow           pan display by 1/3 screen    |\n\
+| ^b                     ^f                       pan display by 1 character   |\n\
+|                                                                              |\n\
+| (These are the same motion keys as in the package list display.)             |\n\
+o------------------------------------------------------------------------------o\n\
+|Quit:                                                                         |\n\
+| Return, Enter    select this method and go to its configuration dialogue     |\n\
+| x,      X        exit without changing or setting up the installation method |\n\
+o------------------------------------------------------------------------------o\n\
+|Miscellaneous:                                                                |\n\
+|  ?, Help, F1      request help                                               |\n\
+| ^l                redraw display                                             |\n\
+|  /                search (just return to cancel)                             |\n\
+|  \\                repeat last search                                         |\n\
+o==============================================================================o\n")
 };
